Package: org.grails.cli.profile.commands

## [Groovy] Class DefaultMultiStepCommand

- org.grails.cli.profile.commands.DefaultMultiStepCommand

-     class DefaultMultiStepCommand
      extends MultiStepCommand

  Simple implementation of the MultiStepCommand abstract class that parses commands defined in YAML or JSON

  Authors:
    Lari Hotari
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.util.Map<java.lang.String, java.lang.Object>` | `data` |
    `private CommandDescription` | `description` |
    `private java.util.List<AbstractStep>` | `steps` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class MultiStepCommand` | `minArguments, name, profile`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `CommandDescription` | `description`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultMultiStepCommand (java.lang.String name, Profile profile, java.util.Map<java.lang.String, java.lang.Object> data)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected AbstractStep` | `createStep(java.util.Map stepParameters)`
    `` | `java.util.List<Step>` | `getSteps()`
    `` | `boolean` | `handleArgumentOrFlag(java.util.Map map, java.lang.String name)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MultiStepCommand` | `getSteps, handle`

- - ### Field Detail

    - #### private java.util.Map<java.lang.String, java.lang.Object> data

    - #### private final CommandDescription description

    - #### private java.util.List<AbstractStep> steps

  - ### Property Detail

    - #### final CommandDescription description

  - ### Constructor Detail

    - #### DefaultMultiStepCommand(java.lang.String name, Profile profile, java.util.Map<java.lang.String, java.lang.Object> data)

  - ### Method Detail

    - #### protected AbstractStep createStep(java.util.Map stepParameters)

    - #### java.util.List<Step> getSteps()

    - #### @groovy.transform.CompileDynamic boolean handleArgumentOrFlag(java.util.Map map, java.lang.String name)